# vim: set ft=spec: -*- rpm -spec -*-
# $Id: xpaint,v 1.2 2005/03/30 10:23:49 raorn Exp $

Name: xpaint
Version: 2.7.5
Release: alt1

Summary: An image editing or paint program
License: MIT
Group: Graphics

URL: http://sf-xpaint.sourceforge.net/
Source: http://download.sourceforge.net//%name/%name-%version.tar.bz2
Source1: icons-%name.tar.bz2

Patch: %name-2.7.5-alt-neXtaw-toggle.patch
Patch1: %name-2.7.5-alt-config.patch
Patch2: %name-2.7.5-alt-string_h.patch
Patch3: %name-2.7.5-alt-Wall.patch

# Automatically added by buildreq on Wed Mar 30 2005
BuildRequires: libjpeg-devel libneXtaw-devel libpng-devel libtiff-devel xorg-x11-devel zlib-devel

%description
XPaint is an X Window System color image editing program which supports
most standard paint program options.  XPaint also supports advanced
features like image processing algorithms.  XPaint allows you to edit
multiple images simultaneously and supports a variety of image formats,
including PPM, XBM, TIFF, JPEG, etc.

Install the xpaint package if you need a paint program for X.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
xmkmf
%make_build CDEBUGFLAGS="%optflags" nextaw

%install
%make_install \
	XAPPLOADDIR=%_x11libdir/X11/app-defaults \
	SHAREDIR=%_datadir/%name \
	BINDIR=%_x11bindir \
	MANDIR=%_x11mandir/man1 \
	DESTDIR=%buildroot \
	install install.man

%__mkdir -p %buildroot%_menudir
%__cat << EOF > %buildroot%_menudir/%name
?package(xpaint):needs="X11" \
section="Multimedia/Graphics" \
title="XPaint" \
longtitle="Simple paint program" \
command="%_x11bindir/%name" \
icon="%name.xpm"
EOF

%__install -d %buildroot%_iconsdir
%__tar jxvf %SOURCE1 -C %buildroot%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%doc ChangeLog README* TODO Doc
%_x11bindir/xpaint
%_x11libdir/X11/app-defaults/*
%_datadir/%name
%_x11mandir/man?/*
%_menudir/*
%_iconsdir/*.xpm
%_liconsdir/*.xpm
%_miconsdir/*.xpm

%changelog
* Wed Mar 30 2005 Sir Raorn <raorn@altlinux.ru> 2.7.5-alt1
- [2.7.5]
- Updated Url
- Built with neXtaw widgets
- Use /etc/printcap for printer listing
- Use gvim -f for external editor
- Use display for external viewer

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.7.0-alt1.1
- Rebuilt with libtiff.so.4.

* Sun Apr 04 2004 Michael Shigorin <mike@altlinux.ru> 2.7.0-alt1
- 2.7.0
- added Xaw3d build support
- implemented a switch to use different Xaw flavours
- fixed installation (removed path workaround)
- imported patch2 from ASPLinux package (thanks to Andy Shevchenko)
- imported more translations from PLD spec
- spec cleanup

* Tue Oct 15 2002 Stanislav Ievlev <inger@altlinux.ru> 2.6.4-alt2
- fixed paths

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Thu Oct 11 2001 Stanislav Ievlev <inger@altlinux.ru> 2.6.1-alt2
- rebuilt with new libmng

* Thu Apr 05 2001 Sergie Pugachev <fd_rag@altlinux.ru> 2.6.1-alt1
- new version

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 2.6.0-2mdk
- icons should be transparent
- let spec helper do its jobs
- menu entry in the body of the spec
- more macroz..

* Sun Aug 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.6.0-1mdk
- new and shiny version.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.9-16mdk
- automatically added BuildRequires

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4-9-15mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2.4.9-14mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2.4.9-13mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2.4.9-12mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 2.4.9-11mdk
- Release.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected status of resource file

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 8)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- changed the docs from being %config files.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new release
- wmconfig

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- "make install.man" places man page in wrong location



